Get transaction details
curl --request GET \
--url https://payments.oaknetwork.org/api/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://payments.oaknetwork.org/api/v1/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://payments.oaknetwork.org/api/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"type": "<string>",
"provider": "<string>",
"source": {
"amount": 123,
"currency": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"chain": "<string>"
}
},
"destination": {
"amount": 123,
"currency": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"chain": "<string>"
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"settlement_date": "2023-11-07T05:31:56Z"
}
}{
"msg": "Resource not found",
"data": null
}Transactions
Get transaction details
Retrieve details of a single transaction.
GET
/
api
/
v1
/
transactions
/
{id}
Get transaction details
Authorizations
Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer
Path Parameters
⌘I